%global commit 587a130bbfc77f9d3e60ada33386df0d330c005b
%global shortcommit %(c=%{commit}; echo ${c:0:7})


Name:           atoum
Version:        0
Release:        0.6.git%{shortcommit}%{?dist}
Summary:        PHP Unit Testing framework

Group:          Development/Libraries
License:        BSD
URL:            http://atoum.org
Source0:        https://github.com/%{name}/%{name}/archive/%{commit}/%{name}-%{version}-%{shortcommit}.tar.gz

BuildArch:      noarch

BuildRequires:       php-common >= 5.3.3
BuildRequires:       php-dom
BuildRequires:       php-date
BuildRequires:       php-hash
BuildRequires:       php-pcre
BuildRequires:       php-spl
BuildRequires:       php-tokenizer
BuildRequires:       php-json
BuildRequires:       php-mbstring
BuildRequires:       php-pecl(Xdebug) >= 2.2.1
BuildRequires:       php-xml

Requires:       php-common >= 5.3.3
Requires:       php-dom
Requires:       php-date
Requires:       php-hash
Requires:       php-pcre
Requires:       php-spl
Requires:       php-tokenizer
Requires:       php-json
Requires:       php-mbstring
Requires:       php-pecl(Xdebug) >= 2.2.1
Requires:       php-xml


%description
A simple, modern and intuitive unit testing framework for PHP!

It has been designed from the start with the following ideas in mind :
* Can be implemented rapidly ;
* Simplify test development ;
* Allow for writing reliable, readable, and clear unit tests ;

To accomplish that, it massively uses capabilities provided by PHP 5.3,
to give the developer a whole new way of writing unit tests.
Also, thanks to its fluid interface, it allows for writing unit tests in
a fashion close to natural language.
It also makes it easier to implement stubbing within tests, thanks to
intelligent uses of anonymous functions and closures.
atoum natively, and by default, performs the execution of each unit test
within a separate PHP process, to warrant isolation.
Of course, it can be used seamlessly for continuous integration, and given its
design, it can be made to cope with specific needs extremely easily.
atoum also accomplishes all of this without affecting performance, since it
has been developed to boast a reduced memory footprint while allowing for
hastened test execution.
It can also generate unit test execution reports in the Xunit format,
which makes it compatible with continuous integration tools such as Jenkins.
atoum also generates code coverage reports, in order to make it possible
to supervise unit tests.


%prep
%setup -q -n %{name}-%{commit}
rm -f resources/configurations/.gitignore
sed -i bin/%{name} \
    -e "s|/usr/bin/env php|%{_bindir}/php|" \
    -e "s|__DIR__ . '/../|'%{_datadir}/%{name}/|"


%build
# Empty build section


%install
# create needed directories
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}
mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -m 0644 -p constants.php $RPM_BUILD_ROOT%{_datadir}/%{name}
install -m 0755 bin/%{name} $RPM_BUILD_ROOT%{_bindir}/%{name}
cp -pr classes $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -pr resources $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -pr scripts $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -pr tests $RPM_BUILD_ROOT%{_datadir}/%{name}


%check
cd tests/units
echo "date.timezone=UTC" >php.ini
export PHPRC=$(pwd)/php.ini
php runner.php --directories .


%files
%doc ABOUT COPYING composer.json CREDIT FAQ README.md
%{_bindir}/%{name}
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*


%changelog
* Wed Aug 07 2013 Johan Cwiklinski <johan AT x-tnd DOT be> - 0.0.6.git587a130
- Last upstream commit

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.5.gita0452f6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Jun 23 2013 Johan Cwiklinski <johan AT x-tnd DOT be> - 0.0.4.gita0452f6
- Last upstream commit

* Fri May 10 2013 Johan Cwiklinski <johan AT x-tnd DOt be> - 0.0.3.git3118d58
- Last upstream commit

* Sun Feb 10 2013 Johan Cwiklinski <johan AT x-tnd DOT be> - 0.0.2.gitdbfb82f
- Last upstream commit
- Rename package from php-atoum to atoum
- add missing requires
- change path to %%{_datadir}/%%{name}
- add tests and relevant BR

* Sun Jan 13 2013 Johan Cwiklinski <johan AT x-tnd DOT be> - 0-0.2.git724d3ee
- Use %%{real_name} instead of %%{name} in path

* Sun Jan 13 2013 Johan Cwiklinski <johan AT x-tnd DOT be> - 0-0.1.git724d3ee
- Initial Release
